import { request } from "@/utils/request";

/**
 * @单位信息采集
 * @名称模糊查询
 */
export function companyByNameSelect(param) {
  return request({
    url: "/service-fire/baseCompany/companyByNameSelect",
    method: "GET",
    data: param,
  });
}

/**
 * @单位信息采集新增
 */
export function addBaseCompany(param) {
  return request({
    url: "/service-fire/baseCompany/addBaseCompany",
    method: "POST",
    data: param,
  });
}

/**
 * @建筑信息管理删除
 */
export function delBaseBuild(param) {
  return request({
    url: "/service-fire/baseBuild/delBaseBuild?id=" + param,
    method: "DELETE",
  });
}

/**
 * @灭火器删除
 */
export function delBaseBuildExtinguish(param) {
  return request({
    url: "/service-fire/baseBuildExtinguish/delBaseBuildExtinguish?id=" + param,
    method: "DELETE",
  });
}
